summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xportage-update.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/portage-update.sh b/portage-update.sh
index 023d46e..17c68b6 100755
--- a/portage-update.sh
+++ b/portage-update.sh
@@ -40,7 +40,10 @@ emerge --sync || exit 1
# Sync Layman repos
echo 'layman -S'
-layman -S || exit 1
+# Only try to run layman if the command seems to exist
+if command -v layman > /dev/null; then
+ layman -S || exit 1
+fi
# Check to see if there's any news, unless skipped
if [ -z ${SKIP_NEWS+x} ] && [ $(eselect news count new) -ne "0" ]; then